Package org.apache.struts2.factory

# Class DefaultInterceptorFactory

java.lang.Object
org.apache.struts2.factory.DefaultInterceptorFactory

All Implemented Interfaces:
  `InterceptorFactory`

public class DefaultInterceptorFactory extends Object implements InterceptorFactory
Default implementation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultInterceptorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Interceptor`
  `buildInterceptor(InterceptorConfig interceptorConfig, Map<String,String> interceptorRefParams)`
  Builds an Interceptor from the InterceptorConfig and the Map of parameters from the interceptor reference.
  `void`
  `setObjectFactory(ObjectFactory objectFactory)`
  `void`
  `setReflectionProvider(ReflectionProvider reflectionProvider)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultInterceptorFactory

    public DefaultInterceptorFactory()

- ## Method Details

  - ### setObjectFactory

    public void setObjectFactory(ObjectFactory objectFactory)

  - ### setReflectionProvider

    public void setReflectionProvider(ReflectionProvider reflectionProvider)

  - ### buildInterceptor

    public Interceptor buildInterceptor(InterceptorConfig interceptorConfig, Map<String,String> interceptorRefParams) throws ConfigurationException
    Description copied from interface: `InterceptorFactory`
    Builds an Interceptor from the InterceptorConfig and the Map of parameters from the interceptor reference. Implementations of this method should ensure that the Interceptor is parameterized with both the parameters from the Interceptor config and the interceptor ref Map (the interceptor ref params take precedence), and that the Interceptor.init() method is called on the Interceptor instance before it is returned.
    Specified by:
      `buildInterceptor` in interface `InterceptorFactory`
    Parameters:
      `interceptorConfig` - the InterceptorConfig from the configuration
      `interceptorRefParams` - a Map of params provided in the Interceptor reference in the Action mapping or InterceptorStack definition
    Returns:
      interceptor
    Throws:
      `ConfigurationException` - in case of any configuration errors